import CreateCameraPage from "@/pages/CreateCameraPage.vue";
import ReadNameKeyPage from "@/pages/ReadNameKeyPage.vue";
import ReadListPage from "@/pages/ReadListPage.vue";

const shopRoutes = [
    {
        path: "/admin/camera/create",
        component: CreateCameraPage,
        meta: {
            requiresAuth: true
        },
    },
    {
        path: "/admin/namekey",
        component: ReadNameKeyPage,
        props: true,
        meta: {
            requiresAuth: false,
            // enterTransition: "rubberBand"
        }
    },

]

export default shopRoutes;